<?php
/* =============================================================== *\
|		Module name:      Security									|
|																	|
\* =============================================================== */

if (!defined('IN_SITE')){
     die('Hacking attempt!');
}
//Image
include("./includes/image". PHP_EX);
$Image	= new Image;

$Security = new Security;

class Security
{
	function Security(){
		global $Func;

		$act	= $Func->get_vars('act', 1);

		switch ($act){
			case "image":
				$this->show_image_number();
				break;
			default:
				die();
		}
	}

	function show_image_number(){
		global $DB, $Info, $Image, $Func;

		$num_id		= $Func->get_vars('num_id', 2);

		if ( !empty($num_id) ){
			$DB->query("SELECT num_value FROM ". $DB->prefix ."number WHERE num_id='". $num_id ."'");
			if ( $DB->num_rows() ){
				$number_info	= $DB->fetch_array();
				//Create image
				$Image->convert_text_to_image($number_info["num_value"], $Info->option['template_path'] .'/images/number/');
			}
		}
		die();
	}
}

?>